# Cloud

Generic cloud endpoints

## GET /v3/cloud/provider

> Get all available cloud provider details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CloudProvider":{"type":"object","required":["id","name","shortName","active"],"properties":{"id":{"type":"integer","format":"integer","description":"Cloud provider ID","readOnly":true},"name":{"type":"string","format":"","description":"Cloud provider's name","readOnly":true},"shortName":{"type":"string","format":"","description":"Cloud provider's short name (abbreviation)","readOnly":true},"active":{"type":"integer","format":"integer","description":"Cloud provider's status","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider":{"get":{"tags":["Cloud"],"summary":"Get all available cloud provider details","operationId":"getCloudProviders","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudProvider"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/provider/{providerId}/dcLocation

> Get all available data center locations for a specific cloud provider

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DcLocation":{"type":"object","required":["id","continentId","country","displayName","providerId","availabilityZones","regionName","pingSiteIds"],"properties":{"id":{"type":"integer","format":"integer","description":"Datacenter location ID","readOnly":true},"continentId":{"type":"integer","format":"integer","description":"Continent ID\n* 1: Africa\n* 2: Antarctica\n* 3: Asia\n* 4: Australia\n* 5: Europe\n* 6: Middle East\n* 7: North America\n* 8: South America","readOnly":true},"country":{"type":"string","format":"","description":"Country name","readOnly":true},"displayName":{"type":"string","format":"","description":"The datacenter location's name","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"availabilityZones":{"type":"array","items":{"type":"string","format":""},"description":"Data center availability zones (only applies to cloud data centers)","readOnly":true},"regionName":{"type":"string","format":"","description":"Data center region name (only applies to cloud data centers)","readOnly":true},"pingSiteIds":{"type":"array","items":{"type":"string","format":""},"description":"Host name for the corresponding data center location."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/{providerId}/dcLocation":{"get":{"tags":["Cloud"],"summary":"Get all available data center locations for a specific cloud provider","operationId":"getCloudProviderDcLocations","parameters":[{"name":"providerId","in":"path","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DcLocation"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/dcLocation

> Get all data center locations of all cloud providers

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DcLocation":{"type":"object","required":["id","continentId","country","displayName","providerId","availabilityZones","regionName","pingSiteIds"],"properties":{"id":{"type":"integer","format":"integer","description":"Datacenter location ID","readOnly":true},"continentId":{"type":"integer","format":"integer","description":"Continent ID\n* 1: Africa\n* 2: Antarctica\n* 3: Asia\n* 4: Australia\n* 5: Europe\n* 6: Middle East\n* 7: North America\n* 8: South America","readOnly":true},"country":{"type":"string","format":"","description":"Country name","readOnly":true},"displayName":{"type":"string","format":"","description":"The datacenter location's name","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"availabilityZones":{"type":"array","items":{"type":"string","format":""},"description":"Data center availability zones (only applies to cloud data centers)","readOnly":true},"regionName":{"type":"string","format":"","description":"Data center region name (only applies to cloud data centers)","readOnly":true},"pingSiteIds":{"type":"array","items":{"type":"string","format":""},"description":"Host name for the corresponding data center location."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/dcLocation":{"get":{"tags":["Cloud"],"summary":"Get all data center locations of all cloud providers","operationId":"getCloudDcLocations","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DcLocation"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/dcLocation/{dcLocationId}

> Get details for a specific data center location

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DcLocation":{"type":"object","required":["id","continentId","country","displayName","providerId","availabilityZones","regionName","pingSiteIds"],"properties":{"id":{"type":"integer","format":"integer","description":"Datacenter location ID","readOnly":true},"continentId":{"type":"integer","format":"integer","description":"Continent ID\n* 1: Africa\n* 2: Antarctica\n* 3: Asia\n* 4: Australia\n* 5: Europe\n* 6: Middle East\n* 7: North America\n* 8: South America","readOnly":true},"country":{"type":"string","format":"","description":"Country name","readOnly":true},"displayName":{"type":"string","format":"","description":"The datacenter location's name","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"availabilityZones":{"type":"array","items":{"type":"string","format":""},"description":"Data center availability zones (only applies to cloud data centers)","readOnly":true},"regionName":{"type":"string","format":"","description":"Data center region name (only applies to cloud data centers)","readOnly":true},"pingSiteIds":{"type":"array","items":{"type":"string","format":""},"description":"Host name for the corresponding data center location."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/dcLocation/{dcLocationId}":{"get":{"tags":["Cloud"],"summary":"Get details for a specific data center location","operationId":"getCloudDcLocation","parameters":[{"name":"dcLocationId","in":"path","description":"i3D.net or cloud data center location ID. For a list of all data center locations see [`GET /v3/cloud/dcLocation`](#/Cloud/get_v3_cloud_dcLocation)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DcLocation"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/dcLocation/vicinityMapping

> Get a mapping of all cloud datacenter locations in the vicinity of i3D.net dcLocations

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DcLocationVicinityMapping":{"type":"object","required":["i3dDcLocationId","cloudDcLocationId"],"properties":{"i3dDcLocationId":{"type":"integer","format":"integer","description":"An i3D.net dcLocationId","readOnly":true},"cloudDcLocationId":{"type":"integer","format":"integer","description":"A cloud dcLocationId","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/dcLocation/vicinityMapping":{"get":{"tags":["Cloud"],"summary":"Get a mapping of all cloud datacenter locations in the vicinity of i3D.net dcLocations","operationId":"getCloudDcLocationVicinityMappings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DcLocationVicinityMapping"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/dcLocation/{dcLocationIds}/vicinityMapping

> Get a mapping of all cloud data center locations in the vicinity of a i3D.net dcLocation

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DcLocationVicinityMapping":{"type":"object","required":["i3dDcLocationId","cloudDcLocationId"],"properties":{"i3dDcLocationId":{"type":"integer","format":"integer","description":"An i3D.net dcLocationId","readOnly":true},"cloudDcLocationId":{"type":"integer","format":"integer","description":"A cloud dcLocationId","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/dcLocation/{dcLocationIds}/vicinityMapping":{"get":{"tags":["Cloud"],"summary":"Get a mapping of all cloud data center locations in the vicinity of a i3D.net dcLocation","operationId":"getCloudDcLocationVicinityMappingsByDcLocationIds","parameters":[{"name":"dcLocationIds","in":"path","description":"Comma separated array of data center location Ids, example: id1,id2. For a list of all data center locations see [`GET /v3/cloud/dcLocation`](#/Cloud/get_v3_cloud_dcLocation)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DcLocationVicinityMapping"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/instanceType

> Get cloud provider instance types

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceType":{"type":"object","required":["instanceTypeId","cloudProviderId","dcLocationId","instanceType","numCores","memory","storage","status"],"properties":{"instanceTypeId":{"type":"integer","format":"integer","readOnly":true},"cloudProviderId":{"type":"integer","format":"integer","description":"The cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider))","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","readOnly":true},"instanceType":{"type":"string","format":"","readOnly":true},"numCores":{"type":"integer","format":"integer","readOnly":true},"memory":{"type":"integer","format":"integer","readOnly":true},"storage":{"type":"string","format":"","readOnly":true},"status":{"type":"integer","format":"integer","description":"It will show either instance type is available or not","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/instanceType":{"get":{"tags":["Cloud"],"summary":"Get cloud provider instance types","operationId":"getCloudInstanceTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/instanceType/{dcLocationId}

> Get cloud provider instance types for a specific dcLocationId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceType":{"type":"object","required":["instanceTypeId","cloudProviderId","dcLocationId","instanceType","numCores","memory","storage","status"],"properties":{"instanceTypeId":{"type":"integer","format":"integer","readOnly":true},"cloudProviderId":{"type":"integer","format":"integer","description":"The cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider))","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","readOnly":true},"instanceType":{"type":"string","format":"","readOnly":true},"numCores":{"type":"integer","format":"integer","readOnly":true},"memory":{"type":"integer","format":"integer","readOnly":true},"storage":{"type":"string","format":"","readOnly":true},"status":{"type":"integer","format":"integer","description":"It will show either instance type is available or not","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/instanceType/{dcLocationId}":{"get":{"tags":["Cloud"],"summary":"Get cloud provider instance types for a specific dcLocationId","operationId":"getCloudInstanceType","parameters":[{"name":"dcLocationId","in":"path","description":"The Id of the data center location. For a list of all data center locations see [`GET /v3/cloud/dcLocation`](#/Cloud/get_v3_cloud_dcLocation)","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceType"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid dcLocationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/cpuPlatform

> Get available cloud provider CPU platforms

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CpuPlatform":{"type":"object","required":["providerId","dcLocationId","cpuPlatform"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"dcLocationId":{"type":"integer","format":"integer"},"cpuPlatform":{"type":"string","format":"","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/cpuPlatform":{"get":{"tags":["Cloud"],"summary":"Get available cloud provider CPU platforms","operationId":"getCloudCpuPlatforms","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CpuPlatform"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/cpuPlatform/{dcLocationId}

> Get available cloud provider CPU platforms for a specific dcLocationId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CpuPlatform":{"type":"object","required":["providerId","dcLocationId","cpuPlatform"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"dcLocationId":{"type":"integer","format":"integer"},"cpuPlatform":{"type":"string","format":"","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/cpuPlatform/{dcLocationId}":{"get":{"tags":["Cloud"],"summary":"Get available cloud provider CPU platforms for a specific dcLocationId","operationId":"getCloudCpuPlatform","parameters":[{"name":"dcLocationId","in":"path","description":"The Id of the data center location. For a list of all data center locations see [`GET /v3/cloud/dcLocation`](#/Cloud/get_v3_cloud_dcLocation)","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CpuPlatform"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid dcLocationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get all available virtual machine logs

> For a list of cloud providers see \[\`GET /v3/cloud/provider\`]\(#/Cloud/get\_v3\_cloud\_provider))

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"VmLog":{"type":"object","required":["cloudInstanceId","title","log","timestamp"],"properties":{"cloudInstanceId":{"type":"string","format":"","readOnly":true},"title":{"type":"string","format":"","readOnly":true},"log":{"type":"string","format":"","readOnly":true},"timestamp":{"type":"integer","format":"integer","description":"Unix timestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/vm/log":{"get":{"tags":["Cloud"],"summary":"Get all available virtual machine logs","description":"For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider))","operationId":"getCloudVmLogs","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VmLog"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get all available virtual machine errors

> For a list of cloud providers see \[\`GET /v3/cloud/provider\`]\(#/Cloud/get\_v3\_cloud\_provider))

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"VmError":{"type":"object","required":["id","hostId","message","arguments","solved","createdAt"],"properties":{"id":{"type":"string","format":"","description":"ID of the virtual machine error","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"ID of the host","readOnly":true},"message":{"type":"string","format":"","description":"Message of error","readOnly":true},"arguments":{"type":"array","items":{"type":"string","format":""},"description":"Arguments generated by the systems","readOnly":true},"solved":{"type":"integer","format":"integer","description":"Status of the error","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"Unix timestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/vm/error":{"get":{"tags":["Cloud"],"summary":"Get all available virtual machine errors","description":"For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider))","operationId":"getCloudVmErrors","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VmError"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get all available virtual machine uptime

> For a list of cloud providers see \[\`GET /v3/cloud/provider\`]\(#/Cloud/get\_v3\_cloud\_provider)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"VmUptime":{"type":"object","required":["cloudInstanceId","providerInstanceId","providerId","hostId","instanceType","dcLocationId","startTime","stopTime","upTime"],"properties":{"cloudInstanceId":{"type":"integer","format":"integer","description":"ID of the VM","readOnly":true},"providerInstanceId":{"type":"string","format":"","description":"The virtual machine ID generated by the cloud provider","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The ID of this host","readOnly":true},"instanceType":{"type":"string","format":"","description":"The name of the instance type","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","description":"Datacenter location ID. Points to one of [`GET /v3/cloud/dcLocation`](game-publisher#/Cloud/get_v3_cloud_dcLocation)","readOnly":true},"startTime":{"type":"integer","format":"integer","description":"Unix timestamp of when the VM was created","readOnly":true},"stopTime":{"type":"integer","format":"integer","description":"Unix timestamp of when the VM was destroyed","readOnly":true},"upTime":{"type":"integer","format":"integer","description":"Uptime in seconds. For a running VM","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/vm/uptime":{"get":{"tags":["Cloud"],"summary":"Get all available virtual machine uptime","description":"For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","operationId":"getCloudVmUptimes","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VmUptime"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/instance

> Get list of all the cloud instances

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Cloud","description":"Generic cloud endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CloudInstance":{"type":"object","required":["id","providerInstanceId","providerImageId","providerId","dediServerId","applicationId","fleetId","regionId","dcLocationId","instanceTypeId","availabilityZone","name","tag","publicIpAddress","status","createdAt"],"properties":{"id":{"type":"integer","format":"integer","readOnly":true},"providerInstanceId":{"type":"string","format":"","readOnly":true},"providerImageId":{"type":"string","format":"","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud Provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"dediServerId":{"type":"integer","format":"integer","readOnly":true},"applicationId":{"type":"integer","format":"integer","readOnly":true},"fleetId":{"type":"integer","format":"integer","readOnly":true},"regionId":{"type":"integer","format":"integer","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","readOnly":true},"instanceTypeId":{"type":"integer","format":"integer","readOnly":true},"availabilityZone":{"type":"string","format":"","readOnly":true},"name":{"type":"string","format":"","readOnly":true},"tag":{"type":"string","format":"","readOnly":true},"publicIpAddress":{"type":"string","format":"","readOnly":true},"status":{"type":"integer","format":"integer","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"Unix timestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/instance":{"get":{"tags":["Cloud"],"summary":"Get list of all the cloud instances","operationId":"getCloudInstances","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudInstance"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/cloud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
